# Abstract syntax notation module for ETSI TS 103 301

These modules will be published as a part of delivery **ETSI TS 103 301 v2.2.1**

# Status: EARLY DRAFT - donot use

## License

The content of this repository and the files contained are released under the BSD-3-Clause license.

See the attached LICENSE file or visit https://forge.etsi.org/legal-matters.

## Dependencies

* The **[ETSI-ITS-CDD](https://forge.etsi.org/rep/ITS/asn1/cdd_ts102894_2)** module from **ETSI TS 102 894-2**: "Intelligent Transport Systems (ITS); Users and applications requirements; Part 2: Applications and facilities layer common data dictionary".
* The **[IVI](https://standards.iso.org/iso/ts/19321/ed-2/en/)** module from **CEN ISO/TS 19321**: "Intelligent transport systems - Cooperative ITS - Dictionary of in-vehicle information (IVI) data structures".


## Syntax check

The correctness of these ASN.1 files can be verified using the bash script **syntax_check.sh**

See the notes in this script for further details.

For convenience a Dockerfile is available that might be useful for this.

```
Usage:
	>docker build -t etsi-its-asn-is:2.2.1 .
	>docker run -v `pwd`:/home/etsi-its-asn1 etsi-its-asn-is:2.2.1
```
