# <a name="IVIM-PDU-Descriptions"></a>ASN.1 module IVIM-PDU-Descriptions
OID: _{ itu-t (0) identified-organization (4) etsi (0) itsDomain (5) wg1 (1) ts103301 (103301) ivim (2) version2 (2) }_
draft 001 of the IVIM-PDU-Descriptions module for TS 103 301 V2.2.1 integrating:
 initial revision based on ASN.1 files of [ISO TS 19091] and [SAE J2735]

## Imports:
* **[IVI](IVI.md)** *{ iso (1) standard (0) ivi (19321) version2 (2) }*<br/>
* **[ETSI-ITS-CDD](ETSI-ITS-CDD.md)** *{ itu-t (0) identified-organization (4) etsi (0) itsDomain (5) wg1 (1) 102894 cdd (2) major-version-4 (4) minor-version-1 (1) } WITH SUCCESSORS*<br/>
## Data Elements:
### <a name="IVIM"></a>IVIM
In vehicle information Message Message
 This DF includes DEs for the IVIM protocolVersion, the IVI message type identifier _messageID_,
 the station identifier _stationID_ of the originating ITS-S and the IVI data from ISO TS 19321.

* _header_ of type [**ItsPduHeader**](ETSI-ITS-CDD.md#ItsPduHeader) <br>
  The DE _protocolVersion_ is used to select the appropriate protocol decoder at the receiving ITS-S. It shall be set to 2.
                  The DE _messageID_ shall be ivim(6).

* _ivi_ of type [**IviStructure**](IVI.md#IviStructure) <br>
  The DE _ivi_ contains the IVI data as defined in ISO TS 19321.


&nbsp;&nbsp;&nbsp;&nbsp;**Categories:** Basic Information 

&nbsp;&nbsp;&nbsp;&nbsp;**Revision:** _V1.3.1_
```asn1
IVIM ::= SEQUENCE {
    header  ItsPduHeader,
    ivi     IviStructure
}
```



