# <a name="RTCMEM-PDU-Descriptions"></a>ASN.1 module RTCMEM-PDU-Descriptions
OID: _{ itu-t (0) identified-organization (4) etsi (0) itsDomain (5) wg1 (1) ts103301 (103301) rtcmem (5) version1 (1) }_
draft 001 of the RTCMEM-PDU-Descriptions module for TS 103 831 V2.2.1 integrating:
 initial revision based on ASN.1 files of [ISO TS 19091] and [SAE J2735]

## Imports:
* **[ETSI-ITS-DSRC](ETSI-ITS-DSRC.md)** *{ itu-t (0) identified-organization (4) etsi (0) itsDomain (5) wg1 (1) ts103301 (103301) dsrc (6) version2 (2) } WITH SUCCESSORS*<br/>
   Includes from ETSI-ITS-DSRC* **[ETSI-ITS-CDD](ETSI-ITS-CDD.md)** *{ itu-t (0) identified-organization (4) etsi (0) itsDomain (5) wg1 (1) 102894 cdd (2) major-version-4 (4) minor-version-1 (1) } WITH SUCCESSORS*<br/>
   Include ETSI TS 102 894-2 (ETSI-ITS-CDD)## Data Elements:
### <a name="RTCMEM"></a>RTCMEM
RTCM corrections extended extended Message
 This DF includes DEs for the RTCMEM: protocolVersion, the RTCMEM message type identifier _messageID_,
 the station identifier _stationID_ of the originating ITS-S and the RTCM corrections as of ETSI-ITS-DSRC.

* _header_ of type [**ItsPduHeader**](ETSI-ITS-CDD.md#ItsPduHeader) <br>
  The DE _protocolVersion_ is used to select the appropriate protocol decoder at the receiving ITS-S. It shall be set to 1.
                  The DE _messageID_ shall be rtcmem(13).

* _rtcmc_ of type [**RTCMcorrections**](ETSI-ITS-DSRC.md#RTCMcorrections) <br>
* srm<br>
  The DE _rtcmc_ contains the RTCM corrections data as defined in ETSI-ITS-DSRC.


&nbsp;&nbsp;&nbsp;&nbsp;**Categories:** Basic Information 

&nbsp;&nbsp;&nbsp;&nbsp;**Revision:** _V1.3.1_
```asn1
RTCMEM ::= SEQUENCE {
    header  ItsPduHeader,
    rtcmc   RTCMcorrections
}
```



